/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package procedureroomorder

import (
	e "simrs-vx/internal/domain/main-entities/procedure-room-order"
	erc "simrs-vx/internal/domain/references/common"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.ProcedureRoomOrder) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.MaterialPackage_Code = inputSrc.MaterialPackage_Code
	data.Status_Code = erc.DSCNew
}
